# classes/phing/input/InputRequest.php

Encapsulates an input request.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
package
  phing.input
version
  $Revision: 526 $

## \InputRequest
jump to top

Encapsulates an input request.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
package
  phing.input
version
  $Revision: 526 $

### Properties

`$defaultValue= ''`
Details

Type

`$input= ''`
Details

Type

`$prompt= ''`
Details

Type

`$promptChar= ''`
Details

Type

### Methods

`__construct( string $prompt ) :`
Parameters

Name | Type | Description
--- | --- | ---
$prompt | string | The prompt to show to the user. Must not be null.

`getDefaultValue( ) : mixed`
Return the default value to use.
Returns

Type | Description
--- | ---
mixed |

`getInput( ) :`
Retrieves the user input.
`getPrompt( ) :`
Retrieves the prompt text.
`getPromptChar( ) : string`
Return the default value to use.
Returns

Type | Description
--- | ---
string |

`isInputValid( ) :`
Is the user input valid?
`setDefaultValue( mixed $v ) :`
Set the default value to use.
Parameters

Name | Type | Description
--- | --- | ---
$v | mixed |

`setInput( $input ) :`
Sets the user provided input.
Parameters

Name | Type | Description
--- | --- | ---
$input |  |

`setPromptChar( string $c ) :`
Set the default value to use.
Parameters

Name | Type | Description
--- | --- | ---
$c | string |

Documentation was generated by DocBlox 0.13.1.